image: 'node:latest'

pages:
  variables:
    MODULES: '00-intro 00-python-fondamentaux 01-django-initiation 01-django-app-web 02-outils-de-django 03-django-intermediaire 04-drf-initiation 05-drf-intermediaire'
    PUPPETEER_SKIP_CHROMIUM_DOWNLOAD: 'True'
  before_script:
    - npm install -g reveal-md
  script:
    - for MODULE in $MODULES; do reveal-md src/$MODULE.md --static ./public/$MODULE --static-dirs=src/img --css theme/fullstack.css; done
    - ls ./public
  only:
    - master
  artifacts:
    paths:
      - public
# https://n7-fullstack.gitlab.io/cours/formation-django-drf-n7
